//
//  AMWindow.h
//
//  Created by Andreas on 05.08.04.
//  Copyright 2004 Andreas Mayer. All rights reserved.
//
//
//	This class improves zooming behaviour and adds the ability to
//	allow or deny resizing and zooming of a window on the fly.


#import <Cocoa/Cocoa.h>


@interface AMWindow : NSWindow {
	BOOL _am_canResize;
	BOOL _am_canZoom;
	BOOL _am_isZooming;
	NSRect _am_userStateFrame;
}

- (BOOL)canResize;
- (void)setCanResize:(BOOL)newCanResize;

- (BOOL)canZoom;
- (void)setCanZoom:(BOOL)newCanZoom;


@end
